Bug 46890 - rpm Can't install a product on an other place
rpm Can't install a product on an other place
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-01 17:12 EDT by Luis Panozzo Saavedra
Modified: 2007-04-18 12:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-01 21:42:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Panozzo Saavedra 2001-07-01 17:12:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
When I try to install a program in an other directory rpm send me an error

How reproducible:
Always

Steps to Reproduce:
1.rpm -i --prefix /home/installdir program.rpm
2.rpm -i --relocate /opt/installdir=/home/installdir program.rpm
3.
	

Actual Results:  * error; can't unlink /homeinstalldir-RPMDELETE: Is a 
directory
* can't rename /homeinstalldir to /homeinstalldir-RPMDELETE: Is a directory
* unpacking of archive failed on fila /homeinstalldir: cpio: unlink failed 
Is a directory.

Expected Results:  Installed program

Additional info:

Note that I told rpm that install directory will be /home/installdir and 
the error told me /homeinstalldir
Comment 1 Michael Schwendt 2001-07-01 21:42:20 EDT
# rpm -i --relocate /usr/=/usr/local package.i386.rpm 
file /usrlocal from install of package-1.0-1rh71 conflicts with file from
package filesystem-2.0.7-1

Comment 2 Jeff Johnson 2001-07-02 10:43:10 EDT
Relocations are fixed at
	ftp://ftp.rpm.org/pub/rpm/test-4.0.3
as well as in recent rpm-4.0.3 packages.

Note You need to log in before you can comment on or make changes to this bug.